wxGridCellFloatEditor(3)

NAME
wxGridCellFloatEditor - The editor for floating point numbers data.

DESCRIPTION

See:

    • wxGridCellEditor

    • wxGridCellBoolEditor

    • wxGridCellChoiceEditor

    • wxGridCellNumberEditor

    • wxGridCellTextEditor

This class is derived, and can use functions, from:

    • wxGridCellEditor

wxWidgets docs: wxGridCellFloatEditor

DATA TYPES

wxGridCellFloatEditor() :: wx:wx_object().

FUNCTIONS

destroy(This :: wxGridCellFloatEditor()) -> ok.

    Destroys the object
new([Option]) -> wxGridCellFloatEditor() when Option :: {width, integer()} | {precision, integer()} | {format, integer()}.

    Float cell editor ctor.
setParameters(This, Params) -> ok when This :: wxGridCellFloatEditor(), Params :: unicode:chardata().

    The parameters string format is "width[,precision[,format]]" where format should be chosen between f|e|g|E|G (f is used by default)